'use strict';

const Promise = require("bluebird");
const rfr = require("rfr");
const electron = require("electron");
const path = require("path");

const awaitReady = rfr("lib/electron/await-ready");
const windowManagerCreator = rfr("lib/electron/window-manager");
const viewUrlCreator = rfr("lib/electron/view-url");

const windowManager = windowManagerCreator();

const viewUrl = viewUrlCreator(path.join(__dirname, "lib/views"), {
	extension: "html"
});

let useLiveReload = (process.env.NODE_ENV === "development");

let windows = {};

Promise.try(() => {
	return awaitReady(electron.app);
}).then(() => {
	windowManager.create({
		width: 800,
		height: 600,
		url: viewUrl("index"),
		liveReload: useLiveReload
	});
});
